## dcl-c 5.3-1

=== Makefile ===
#
#       Makefile for dcl-5.3
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include Mkinclude

DIRSCLN 	= f2csrc src demo
DIRSCLNA 	= f2csrc src demo bin lib sys


all: mkldir f2clib object library dbase exec script

mkldir:
	@if (test ! -d $(LDBASEDIR)) then \
	  echo "Making directory $(LDBASEDIR)" ; \
	  mkdir $(LDBASEDIR); \
	fi 

f2clib:
	@cd f2csrc ; \
	echo "Making a f2c library file..." ; \
	$(MAKE) all ; \
	cd ..

object:
	@cd src ; \
	echo "Making object files..." ; \
	$(MAKE) object ; \
	cd ..

library:
	@cd src ; \
	echo "Making a library file..." ; \
	$(MAKE) library ; \
	cd ..

dbase:
	@cd src ; \
	echo "Making database..." ; \
	$(MAKE) dbase ; \
	cd ..

exec:
	@cd src ; \
	echo "Making exec files..." ; \
	$(MAKE) exec ; \
	cd ..

script:
	@cd bin ; \
	echo "Making command script files..." ; \
	$(MAKE) all ; \
	cd ..

install: mkdir libinstall bininstall incinstall

mkdir:
	@if (test ! -d $(prefix)) then \
	  echo "Making directory $(prefix)" ; \
	  mkdir $(prefix) ; \
	fi
	@if (test ! -d $(LIBDIR)) then \
	  echo "Making directory $(LIBDIR)" ; \
	  mkdir $(LIBDIR) ; \
	fi
	@if (test ! -d $(BINDIR)) then \
	  echo "Making directory $(BINDIR)" ; \
	  mkdir $(BINDIR) ; \
	fi
	@if (test ! -d $(INCDIR)) then \
	  echo "Making directory $(INCDIR)" ; \
	  mkdir $(INCDIR) ; \
	fi
	@if (test ! -d $(DBASEDIR)) then \
	  echo "Making directory $(DBASEDIR)" ; \
	  mkdir $(DBASEDIR) ; \
	fi

libinstall:
	@cd lib ; \
	echo "Installing lib..." ; \
	$(MAKE) install ; \
	cd ..

bininstall:
	@cd bin ; \
	echo "Installing bin..." ; \
	$(MAKE) install ; \
	cd ..

incinstall:
	@cd include ; \
	echo "Installing include..." ; \
	$(MAKE) install ; \
	cd ..

clean: clean.local clean.dir

distclean: clean.locala clean.dira

clean.all: clean.locala clean.dira

clean.local:
	$(RM) *~ *.aux

clean.locala:
	$(RM) *~ *.aux a.exe config.cache config.log config.status

clean.dir:
	@for i in $(DIRSCLN) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i/" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

clean.dira:
	@for i in $(DIRSCLNA) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i/" ; \
	  $(MAKE) distclean ; \
	  cd .. ; \
	done
