=== demo/grph2/umpack/Makefile ===
#
#       Makefile for umpack (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= umpack
LIBSRCS		= test01.c     test02.c     test03.c     test04.c     \
		  test05.c     test06.c     test07.c     test08.c     \
		  test09.c     umpk01.c     umpk02.c     umpk03.c     \
		  umpk04.c     umpk05.c
LIBDEMO		= test01       test02       test03       test04       \
		  test05       test06       test07       test08       \
		  test09       umpk01       umpk02       umpk03       \
		  umpk04       umpk05
LIBEXEC		= test01$(EXT) test02$(EXT) test03$(EXT) test04$(EXT) \
		  test05$(EXT) test06$(EXT) test07$(EXT) test08$(EXT) \
		  test09$(EXT) umpk01$(EXT) umpk02$(EXT) umpk03$(EXT) \
		  umpk04$(EXT) umpk05$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace
