=== demo/math1/ifalib/Makefile ===
#
#       Makefile for ifalib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= ifalib
LIBSRCS		= ifal01.c
LIBDEMO 	= ifal01
LIBEXEC 	= ifal01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace
