=== debian/changelog ===
dcl-c (5.3-1) unstable; urgency=low

  * Initial release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 17 Nov 2004 13:26:38 +0900

dcl-c (5.2.3-3) unstable; urgency=low

  *  

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu, 12 Aug 2004 18:05:29 +0900

dcl-c (5.2.3-2) unstable; urgency=low

  *  

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu, 11 Mar 2004 17:40:21 +0900

dcl-c (5.2.3-1) unstable; urgency=low

  * Initial Release.

 -- Kazuaki Takemoto <takemoto@ep.sci.hokudai.ac.jp>  Thu, 27 Nov 2003 03:32:43 +0900
