=== debian/control ===
Source: dcl-c
Section: math
Priority: optional
Maintainer: ODAKA Masatsugu <odakker@gfd-dennou.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: dcl-c
Architecture: any
Depends: ${shlibs:Depends}
Suggests: f2c 
Conflicts: 
Replace: dcl-c-gtk (=< 5.2.3.8), dcl-c-gtk2 (=< 5.3.3.2)
Description: GFD-DENNOU Club Library (DCL) for C.
 The DCL graphic library is written originally in Fortran77
 which contains following libraries. 
 * visualization libraries: wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries (FFT, Ordinary differential equation solver, Spherical harmonics analysis etc)
