=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

#
# INSTALL DIR (2004/11/17 M. Odaka)
PREFIXLIB=dcl-5.3-c


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	#./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
	./configure --prefix=/usr/lib/$(PREFIXLIB)

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/dcl-c.sgml > dcl-c.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/lib/$(PREFIXLIB)/bin usr/lib/$(PREFIXLIB)/lib

	# Add here commands to install the package into debian/dcl-c.
	$(MAKE) install prefix=$(CURDIR)/debian/dcl-c/usr/lib/$(PREFIXLIB)


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link usr/lib/$(PREFIXLIB)/lib/libcdcl52.a  usr/lib/libcdcl52.a \
	        usr/lib/$(PREFIXLIB)/lib/libf2c4dcl.a usr/lib/libf2c4dcl.a \
	        usr/lib/$(PREFIXLIB)/include/cdcl.h   usr/include/cdcl.h \
	        usr/lib/$(PREFIXLIB)/bin/cdclcc       usr/bin/cdclcc \
	        usr/lib/$(PREFIXLIB)/bin/cdclclr      usr/bin/cdclclr \
	        usr/lib/$(PREFIXLIB)/bin/cdclcmap     usr/bin/cdclcmap \
	        usr/lib/$(PREFIXLIB)/bin/cdclconfig53 usr/bin/cdclconfig53 \
	        usr/lib/$(PREFIXLIB)/bin/cdclconfig   usr/bin/cdclconfig \
	        usr/lib/$(PREFIXLIB)/bin/cdcldate     usr/bin/cdcldate \
	        usr/lib/$(PREFIXLIB)/bin/cdcldbs      usr/bin/cdcldbs \
	        usr/lib/$(PREFIXLIB)/bin/cdclexec     usr/bin/cdclexec \
	        usr/lib/$(PREFIXLIB)/bin/cdclfont     usr/bin/cdclfont \
	        usr/lib/$(PREFIXLIB)/bin/cdclpara     usr/bin/cdclpara \
	        usr/lib/$(PREFIXLIB)/bin/cdcltone     usr/bin/cdcltone \
	        usr/lib/$(PREFIXLIB)/bin/cdcltrf      usr/bin/cdcltrf \
	        usr/lib/$(PREFIXLIB)/bin/cdclver      usr/bin/cdclver 
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
