## dcl-c 5.3-20050523-1

=== bin/Makefile ===
--- 
+++ 
@@ -55,7 +55,7 @@
 
 install:
 	@-if (test $(BINDIR) != $(LBINDIR)) then \
-	$(CP) $(LIBSRCS) $(INSTSRC) $(BINDIR); fi
+	$(INSTALL_PROG) $(LIBSRCS) $(INSTSRC) $(BINDIR); fi
 	$(RM) $(BINDIR)/$(DCLCONFIG)
 	ln -s $(DCLCONFVER) $(BINDIR)/$(DCLCONFIG)
