=== lib/Makefile ===
--- 
+++ 
@@ -9,9 +9,9 @@
 
 install:
 	@-if (test $(LIBDIR) != $(LLIBDIR)) then \
-	$(CP) $(LDCLLIBFILE) $(DCLLIBFILE); \
-	$(CP) $(LF2CLIBFILE) $(F2CLIBFILE); \
-	$(CP) $(LDBASEDIR)/* $(DBASEDIR); fi
+	$(INSTALL_DATA) $(LDCLLIBFILE) $(DCLLIBFILE); \
+	$(INSTALL_DATA) $(LF2CLIBFILE) $(F2CLIBFILE); \
+	$(INSTALL_DATA) $(LDBASEDIR)/* $(DBASEDIR); fi
 
 clean: clean.local
