=== src/math1/syslib/Makefile ===
#
#       Makefile for syslib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= syslib
LIBCSRCS	= gliget.c gliqnp.c gllget.c gllqnp.c glrget.c glrqnp.c \
		  glcget.c glcqnp.c glpget.c glpqnp.c glqfnm.c rpnget.c \
		  rpnopt.c rpnenv.c rpnxfl.c lchreq.c iufopn.c cfsrch.c \
		  msgdmp.c mszdmp.c prcopn.c
LIBFSRCS	=
LIBSRCS		= $(LIBCSRCS) $(LIBFSRCS)
LIBCOBJS	= gliget.o gliqnp.o gllget.o gllqnp.o glrget.o glrqnp.o \
		  glcget.o glcqnp.o glpget.o glpqnp.o glqfnm.o rpnget.o \
		  rpnopt.o rpnenv.o rpnxfl.o lchreq.o iufopn.o cfsrch.o \
		  msgdmp.o mszdmp.o prcopn.o
LIBFOBJS	=
LIBOBJS		= $(LIBCOBJS) $(LIBFOBJS)


object: $(LIBOBJS)

gliqnp.c: gliqnp.g
	@echo "Substituting system constants (gliqnp.g -> gliqnp.c)"
	@sed -e "s!@INTMAX!$(INTMAX)!" \
	     gliqnp.g > gliqnp.c

glrqnp.c: glrqnp.g
	@echo "Substituting system constants (glrqnp.g -> glrqnp.c)"
	@sed -e "s!@REALMAX!$(REALMAX)!" \
	     -e "s!@REALMIN!$(REALMIN)!" \
	     -e "s!@REPSL!$(REPSL)!" \
	     glrqnp.g > glrqnp.c

glcqnp.c: glcqnp.g
	@echo "Substituting dcldbase path names (glcqnp.g -> glcqnp.c)"
	@sed -e "s!@DS_PATH!$(DBASEDIR)/!" \
	     glcqnp.g > glcqnp.c

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~ glcqnp.c gliqnp.c glrqnp.c
