=== debian/changelog ===
dcl-c (5.3-20050523-1) unstable; urgency=low

  * New upstream release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Mon, 30 May 2005 10:44:24 +0900
