=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Depends: ${shlibs:Depends}
 Suggests: f2c 
 Conflicts: 
-Replace: dcl-c-gtk (=< 5.2.3.8), dcl-c-gtk2 (=< 5.3.3.2)
+Replace: dcl-c-gtk (=< 5.2.3.8), dcl-c-gtk2 (=< 5.3.3.5)
 Description: GFD-DENNOU Club Library (DCL) for C.
  The DCL graphic library is written originally in Fortran77
  which contains following libraries.
