## dcl-c 5.3.3

=== bin/Makefile ===
--- 
+++ 
@@ -10,11 +10,11 @@
 INSTSRC		= cdcldate$(EXT) cdclver$(EXT) cdclexec$(EXT) cdcltrf$(EXT) \
 		  cdclclr$(EXT)  cdcldbs$(EXT) cdclfont$(EXT) cdclpara$(EXT) \
 		  cdcltone$(EXT) cdclcmap$(EXT) crepsl$(EXT) \
-		  dclps2kdraw	dclpscat	dclpsfix \
-		  dclpsfont	dclpsline	dclpsmargin \
-		  dclpsmerge	dclpsnup	dclpsrmcm \
-		  dclpsrot	dclpsselect	dclpsseparate \
-		  dclpsunrot
+		  cdclps2kdraw	cdclpscat	cdclpsfix \
+		  cdclpsfont	cdclpsline	cdclpsmargin \
+		  cdclpsmerge	cdclpsnup	cdclpsrgb2cmyk \
+		  cdclpsrmcm	cdclpsrot	cdclpsselect \
+		  cdclpsseparate	cdclpsunrot
 
 
 all: $(DCLCONFVER) $(DCLCC)
@@ -48,6 +48,7 @@
 	         dclconfig.org > $(DCLCONFVER)
 	@chmod +x $(DCLCONFVER)
 
+
 $(DCLCC): dclcc.org
 	@echo "Making shell script $(DCLCC)"
 	@sed -e 's!@PATH@!$(BINDIR)!' dclcc.org > $(DCLCC)
@@ -55,7 +56,7 @@
 
 install:
 	@-if (test $(BINDIR) != $(LBINDIR)) then \
-	$(INSTALL_PROG) $(LIBSRCS) $(INSTSRC) $(BINDIR); fi
+	$(CP) $(LIBSRCS) $(INSTSRC) $(BINDIR); fi
 	$(RM) $(BINDIR)/$(DCLCONFIG)
 	ln -s $(DCLCONFVER) $(BINDIR)/$(DCLCONFIG)
