=== src/env1/colormap/Makefile ===
#
#       Makefile for colormap
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

CMAPFILE0	= colormap.x11
CMAPLIST	= cmaplist
CMAPFILES	= colormap_01.x11              colormap_02.x11 \
		  colormap_03.x11              colormap_04.x11 \
		  colormap_05.x11              colormap_06.x11 \
		  colormap_07.x11              colormap_08.x11 \
		  colormap_09.x11              colormap_10.x11 \
		  colormap_11.x11              colormap_12.x11 \
		  colormap_13.x11              colormap_14.x11
LCMAPFILE0	= $(LDBASEDIR)/colormap.x11
LCMAPLIST	= $(LDBASEDIR)/cmaplist
LCMAPFILES	= $(LDBASEDIR)/colormap_01.x11 $(LDBASEDIR)/colormap_02.x11 \
		  $(LDBASEDIR)/colormap_03.x11 $(LDBASEDIR)/colormap_04.x11 \
		  $(LDBASEDIR)/colormap_05.x11 $(LDBASEDIR)/colormap_06.x11 \
		  $(LDBASEDIR)/colormap_07.x11 $(LDBASEDIR)/colormap_08.x11 \
		  $(LDBASEDIR)/colormap_09.x11 $(LDBASEDIR)/colormap_10.x11 \
		  $(LDBASEDIR)/colormap_11.x11 $(LDBASEDIR)/colormap_12.x11 \
		  $(LDBASEDIR)/colormap_13.x11 $(LDBASEDIR)/colormap_14.x11


all: $(LCMAPFILE0) $(LCMAPLIST) $(LCMAPFILES)

$(LDBASEDIR)/colormap.x11: colormap.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/cmaplist: cmaplist
	@echo "Installing colormap list $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_01.x11: colormap_01.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_02.x11: colormap_02.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_03.x11: colormap_03.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_04.x11: colormap_04.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_05.x11: colormap_05.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_06.x11: colormap_06.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_07.x11: colormap_07.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_08.x11: colormap_08.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_09.x11: colormap_09.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_10.x11: colormap_10.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_11.x11: colormap_11.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_12.x11: colormap_12.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_13.x11: colormap_13.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_14.x11: colormap_14.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

colormap0.x11: cvcmap namedclr
	@echo "Creating colormap file colormap0.x11"
	@$(CAT) namedclr | ./cvcmap | $(CAT) > colormap0.x11

cvcmap: cvcmap.c
	$(CC) $(CFLAGS) -o cvcmap cvcmap.c $(XLIBPATH) $(XLIBOPT)

colormap1.x11: cmap01
	@echo "Creating colormap file colormap1.x11"
	@./cmap01 > colormap1.x11

cmap01: cmap01.c
	$(CC) $(CFLAGS) -I$(LINCDIR) -o cmap01 cmap01.c -L$(LLIBDIR) $(F2CLIBOPT) $(MATHLIBOPT)

colormap2.x11: cmap02
	@echo "Creating colormap file colormap2.x11"
	@./cmap02 > colormap.x11

cmap02: cmap02.c
	$(CC) $(CFLAGS) -I$(LINCDIR) -o cmap02 cmap02.c -L$(LLIBDIR) $(F2CLIBOPT) $(MATHLIBOPT)

clean:
	$(RM) *.o *~ cmap01$(EXT) cmap02$(EXT) cvcmap$(EXT) core a.out colormap?.x11
