=== src/grph1/sgpack/Makefile ===
#
#       Makefile for sgpack
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= sgpack
LIBFSRCS	= sgopn.c  sgiget.c sgiqnp.c sglget.c sglqnp.c sgrget.c \
		  sgrqnp.c sgpget.c sgpqnp.c sgoopn.c sgpwsn.c sgsvpt.c \
		  sgswnd.c sgssim.c sgsmpl.c sgstxy.c sgstrn.c sgstrf.c \
		  sgtrqf.c isgtrc.c sgplu.c  sgplzu.c sgplzv.c sgplzr.c \
		  sgpmu.c  sgpmzu.c sgpmzv.c sgpmzr.c sgtxu.c  sgtxzu.c \
		  sgtxzv.c sgtxzr.c sgtnu.c  sgtnzu.c sgtnzv.c sgtnzr.c \
		  sglnu.c  sglnzu.c sglnzv.c sglnzr.c sglau.c  sglazu.c \
		  sglazv.c sglazr.c sgsplc.c sgpcmd.c sgscmn.c sgscwd.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= sgopn.o  sgiget.o sgiqnp.o sglget.o sglqnp.o sgrget.o \
		  sgrqnp.o sgpget.o sgpqnp.o sgoopn.o sgpwsn.o sgsvpt.o \
		  sgswnd.o sgssim.o sgsmpl.o sgstxy.o sgstrn.o sgstrf.o \
		  sgtrqf.o isgtrc.o sgplu.o  sgplzu.o sgplzv.o sgplzr.o \
		  sgpmu.o  sgpmzu.o sgpmzv.o sgpmzr.o sgtxu.o  sgtxzu.o \
		  sgtxzv.o sgtxzr.o sgtnu.o  sgtnzu.o sgtnzv.o sgtnzr.o \
		  sglnu.o  sglnzu.o sglnzv.o sglnzr.o sglau.o  sglazu.o \
		  sglazv.o sglazr.o sgsplc.o sgpcmd.o sgscmn.o sgscwd.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
