=== src/grph2/uepack/Makefile ===
#
#       Makefile for uepack
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uepack
LIBFSRCS	= uetone.c uetonf.c uetonc.c uezchk.c uegtla.c uegtlb.c \
		  ueitlv.c uestln.c iueton.c uearea.c ueiget.c ueiqnp.c \
		  uelget.c uelqnp.c uerget.c uerqnp.c uepget.c uepqnp.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= uetone.o uetonf.o uetonc.o uezchk.o uegtla.o uegtlb.o \
		  ueitlv.o uestln.o iueton.o uearea.o ueiget.o ueiqnp.o \
		  uelget.o uelqnp.o uerget.o uerqnp.o uepget.o uepqnp.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
