=== src/math1/maplib/Makefile ===
#
#       Makefile for maplib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#


include ../../../Mkinclude

LIBNAME		= maplib
LIBFSRCS	= mpfcyl.c mpfmer.c mpfmwd.c mpfmwl.c mpfhmr.c mpfek6.c \
		  mpfktd.c mpfcon.c mpfcoa.c mpfcoc.c mpfbon.c mpfotg.c \
		  mpfpst.c mpfazm.c mpfaza.c mpzmwd.c mpzek6.c mpzktd.c \
		  mpznwt.c xmplon.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= mpfcyl.o mpfmer.o mpfmwd.o mpfmwl.o mpfhmr.o mpfek6.o \
		  mpfktd.o mpfcon.o mpfcoa.o mpfcoc.o mpfbon.o mpfotg.o \
		  mpfpst.o mpfazm.o mpfaza.o mpzmwd.o mpzek6.o mpzktd.o \
		  mpznwt.o xmplon.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
