## dcl-c 5.3.4.2

=== src/grph1/sgpack/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 		  sgtxzv.c sgtxzr.c sgtnu.c  sgtnzu.c sgtnzv.c sgtnzr.c \
 		  sglnu.c  sglnzu.c sglnzv.c sglnzr.c sglau.c  sglazu.c \
 		  sglazv.c sglazr.c sgsplc.c sgpcmd.c sgscmn.c sgscwd.c
-LIBCSRCS	=
+IBCSRCS	=
 LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
 LIBFOBJS	= sgopn.o  sgiget.o sgiqnp.o sglget.o sglqnp.o sgrget.o \
 		  sgrqnp.o sgpget.o sgpqnp.o sgoopn.o sgpwsn.o sgsvpt.o \
@@ -25,7 +25,8 @@
 		  sgtxzv.o sgtxzr.o sgtnu.o  sgtnzu.o sgtnzv.o sgtnzr.o \
 		  sglnu.o  sglnzu.o sglnzv.o sglnzr.o sglau.o  sglazu.o \
 		  sglazv.o sglazr.o sgsplc.o sgpcmd.o sgscmn.o sgscwd.o
-LIBCOBJS	=
+
+IBCOBJS	=
 LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)
