=== src/grph1/swpack/Makefile ===
#
#       Makefile for swpack
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= swpack
LIBFSRCS	= swpack.c swiget.c swiqnp.c swlget.c swlqnp.c swrget.c \
		  swrqnp.c swcget.c swcqnp.c swpget.c swpqnp.c swqfnm.c \
		  swcmll.c
LIBCSRCS	= zxpack.c z1pack.c ztpack.c zgpack.c cfnchr.c
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= swpack.o swiget.o swiqnp.o swlget.o swlqnp.o swrget.o \
		  swrqnp.o swcget.o swcqnp.o swpget.o swpqnp.o swqfnm.o \
		  swcmll.o
LIBCOBJS	= zxpack.o z1pack.o ztpack.o zgpack.o cfnchr.o
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

swiqnp.c: swiqnp.g
	@echo "Substituting system constants (swiqnp.g -> swiqnp.c)"
	@sed -e "s!@DCLNWS!$(DCLNWS)!" \
	     -e "s!@IWIDTH!$(IWIDTH)!" \
	     -e "s!@IHEIGHT!$(IHEIGHT)!" \
	     swiqnp.g > swiqnp.c

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~ swiqnp.c
