=== debian/changelog ===
dcl-c (5.3.4.2-2) unstable; urgency=low

  * Change source format: 3.0 (quilt)
  * Change CDBS to dh

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 10 Jan 2012 19:51:40 +0900

dcl-c (5.3.4.2-1) unstable; urgency=low

  * Imported Upstream version 5.3.4.2
  * add debug package

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 26 Feb 2011 02:49:33 +0900

dcl-c (5.3.3-6) unstable; urgency=low

  * Add additional colormap created by Tsuyoshi KOSHIRO
  * Bump Standard Version: 3.8.3

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 03 Dec 2009 19:04:18 +0900

dcl-c (5.3.3-5) unstable; urgency=low

  * Add chrpath to Build-Depends(rpath issue)
  * upgrade problem fixed

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 03 Jul 2009 16:39:56 +0900

dcl-c (5.3.3-4) unstable; urgency=low

  * New upstream
  * modified debian/rules

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 30 Nov 2008 01:51:33 +0900

dcl-c (5.3.3-3) unstable; urgency=low

  * Bug fix
    * typo about dclps utils.

 -- Youhei Sasaki <uwabami@gfd-dennou.org>  Tue, 22 Jul 2008 11:43:13 +0900

dcl-c (5.3.3-2) unstable; urgency=low

  * added configure option: --enable-shared
  * added docs: CHECK, Mkinclude, index.html

 -- KOSHIRO Tsuyoshi <koshiro@gfd-dennou.org>  Wed, 25 Jul 2007 18:18:56 +0900

dcl-c (5.3.3-1) unstable; urgency=low

  * New upstream: re-designed for Etch
  * using CDBS
  * enabled gtk2.

 -- Youhei Sasaki <uwabami@gfd-dennou.org>  Sat, 16 Jun 2007 01:41:46 +0900

dcl-c (5.3.2-1) unstable; urgency=low

  * Initial Release.

 -- SUGIYAMA Ko-ichiro <sugiyama@localhost.localdomain>  Sat,  9 Dec 2006 13:47:00 +0900
