=== debian/control ===
Source: dcl-c
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libx11-dev, libgtk2.0-dev, libglib2.0-dev, chrpath
Standards-Version: 3.9.2
Homepage: http://www.gfd-dennou.org/library/dcl

Package: libcdcl5
Section: libs
Architecture: any
Conflicts: dcl-c (<= 5.3.3-3)
Replaces: dcl-c (<= 5.3.3-3)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) for C
 The DCL graphic library is written in C (originally in Fortran77),
 which contains following libraries.
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provide shared library.

Package: libcdcl-dev
Section: libdevel
Suggests: f2c
Architecture: any
Conflicts: dcl-c (<= 5.3.3-3)
Replaces: dcl-c (<= 5.3.3-3)
Depends: ${shlibs:Depends}, ${misc:Depends}, libcdcl5 (= ${binary:Version}), mawk, tcsh | csh | c-shell
Description: GFD-DENNOU Club Library (DCL) for C
 The DCL graphic library is written in C (originally in Fortran77),
 which contains following libraries.
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides static libraries, header, build wrapper shell scripts.

Package: libcdcl-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcdcl5 (= ${binary:Version}), mawk, tcsh | csh | c-shell
Description: GFD-DENNOU Club Library (DCL) for C
 The DCL graphic library is written in C (originally in Fortran77),
 which contains following libraries.
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

Package: dcl-c
Architecture: all
Depends: libcdcl-dev, ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) for C
 The DCL graphic library is written originally in Fortran77
 which contains following libraries.
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package is metapackage, install libcdcl-dev.
