=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --prefix=/usr 

override_dh_auto_build:
	dh_auto_build

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	for f in `find $(CURDIR)/debian/tmp/usr/bin/ -type f ! -name "*dclps*" ! -name "cdclcc" ! -name "cdclconfig*"` ;do \
		chrpath -d $$f ;\
	done

override_dh_intall:
	dh_intall

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=libcdcl-dbg
