=== demo/grph2/udegpk/Makefile ===
#
#       Makefile for udegpk (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= udegpk
LIBSRCS		= u2df01.c      u2df02.c      u2df03.c      u2df04.c     \
		  u2df05.c      u2df06.c      u2df07.c      u2df08.c     \
		  u2df09e.c     u2df09b.c     u2df09f.c     u2df09c.c
LIBDEMO		= u2df01        u2df02        u2df03        u2df04       \
		  u2df05        u2df06        u2df07        u2df08       \
		  u2df09e       u2df09b       u2df09f       u2df09c
LIBEXEC		= u2df01$(EXT)  u2df02$(EXT)  u2df03$(EXT)  u2df04$(EXT) \
		  u2df05$(EXT)  u2df06$(EXT)  u2df07$(EXT)  u2df08$(EXT) \
		  u2df09e$(EXT) u2df09b$(EXT) u2df09f$(EXT) u2df09c$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace
