=== src/math1/vralib/Makefile ===
#
#       Makefile for vralib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= vralib
LIBFSRCS	= vrfna.c vrfna0.c vrfna1.c vrinc.c vrinc0.c vrinc1.c \
		  vrfct.c vrfct0.c vrfct1.c vrcon.c vrcon0.c vrcon1.c \
		  vrset.c radd.c radd0.c radd1.c rmlt.c rmlt0.c rmlt1.c \
		  rset.c rset0.c rset1.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= vrfna.o vrfna0.o vrfna1.o vrinc.o vrinc0.o vrinc1.o \
		  vrfct.o vrfct0.o vrfct1.o vrcon.o vrcon0.o vrcon1.o \
		  vrset.o radd.o radd0.o radd1.o rmlt.o rmlt0.o rmlt1.o \
		  rset.o rset0.o rset1.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
