=== debian/changelog ===
dcl-c (5.4.5-1) unstable; urgency=low

  * Imported Upstream version 5.4.5
  * Update patch handling: gbp-pq
  * Add watch files
  * Fix wrong clean target

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 04 Jun 2012 18:16:58 +0900
