## dcl-c 5.4.6

=== demo/math1/vralib/Makefile ===
#
#       Makefile for vralib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= vralib
LIBSRCS		= vral01.c     vral02.c
LIBDEMO 	= vral01       vral02
LIBEXEC 	= vral01$(EXT) vral02$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace
