=== demo/misc1/randlib/Makefile ===
#
#       Makefile for randlib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= randlib
LIBSRCS		= rand01.c
LIBDEMO 	= rand01
LIBEXEC 	= rand01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace
