=== demo/misc1/timelib/Makefile ===
#
#       Makefile for timelib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= timelib
LIBSRCS		= time01.c     time02.c
LIBDEMO 	= time01       time02
LIBEXEC 	= time01$(EXT) time02$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace
