=== debian/changelog ===
dcl-c (5.4.6-1) unstable; urgency=low

  * Imported Upstream version 5.4.6

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 19 Nov 2012 19:17:05 +0900

dcl-c (5.4.5-2) unstable; urgency=low

  * Update hadering flags

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 11 Jun 2012 22:58:34 +0900
