=== debian/control ===
--- 
+++ 
@@ -3,14 +3,12 @@
 Priority: optional
 Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libx11-dev, libgtk2.0-dev, libglib2.0-dev, chrpath
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.gfd-dennou.org/library/dcl
 
 Package: libcdcl5
 Section: libs
 Architecture: any
-Conflicts: dcl-c (<= 5.3.3-3)
-Replaces: dcl-c (<= 5.3.3-3)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: GFD-DENNOU Club Library (DCL) for C
  The DCL graphic library is written in C (originally in Fortran77),
